help please...

Problems with the Linux version of XAMPP, questions, comments, and anything related.

help please...

Postby superichy » 14. September 2011 19:19

Hi!
This is my first post over here... I've searched, however I did'nt find the solution for this issue:
===============================================================================
"Warning: require_once(/opt/lampp/htdocs/pisapapeles//wp-includes/load.php) [function.require-once]: failed to open stream: Permiso denegado in /opt/lampp/htdocs/pisapapeles/wp-load.php on line 46

Fatal error: require_once() [function.require]: Failed opening required '/opt/lampp/htdocs/pisapapeles//wp-includes/load.php' (include_path='.:/opt/lampp/lib/php') in /opt/lampp/htdocs/pisapapeles/wp-load.php on line 46"
===============================================================================

I just want to start the installation of a local wordpress site... my localhost I think, is working right, however, when I put http://localhost/pisapapeles, I get that message... :(

Could anybody help me?
Thank you,

Richy
superichy
 
Posts: 12
Joined: 09. September 2011 01:28

Re: help please...

Postby superichy » 14. September 2011 20:40

[solved]

Hi again! I resolved the problem... here you have the solution:

=================================================
superichy@ubuntu-pc:~$ sudo -s
[sudo] password for superichy:
root@ubuntu-pc:~# cd //
root@ubuntu-pc://# chmod 7777 -R /opt/lampp/htdocs
root@ubuntu-pc://#
================================================

Best regards, see you soon..

Richy
superichy
 
Posts: 12
Joined: 09. September 2011 01:28

Re: help please...

Postby glitzi85 » 15. September 2011 17:08

That's not a solution, that's totally stupid. A quick but not so stupid solution would be
Code: Select all
chmod -R a+rX /opt/lampp/htdocs

The best solution of course is understanding how Unix permissions works!

glitzi
User avatar
glitzi85
 
Posts: 1760
Joined: 05. March 2004 23:26
Location: Dahoim

Re: help please...

Postby legrega » 02. December 2011 18:10

CAn smbd delete his files if he used chmod 777? isn't it necessary that for that abuse the abuser needs admin password? Love, Grega
legrega
 
Posts: 5
Joined: 03. December 2009 19:12


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 1 guest